# FeatureEng.jl

```@meta
CurrentModule = FeatureEng
```

![build](https://github.com/a-poor/FeatureEng.jl/workflows/build/badge.svg)

_created by Austin Poor_

A library for feature engineering in Julia.

## Installation

You can in install `FeatureEng` with:

```julia-repl
julia> using Pkg
julia> Pkg.add("FeatureEng")
```

## Where to Start

Check out the [manual](https://a-poor.github.io/FeatureEng.jl/latest/manual/) to find helpful functions based on the types of data you're working with (ex [categorical](https://a-poor.github.io/FeatureEng.jl/latest/manual/#Categorical-Features), [datetime](https://a-poor.github.io/FeatureEng.jl/latest/manual/#DateTime-Features), or [numeric](https://a-poor.github.io/FeatureEng.jl/latest/manual/#Numeric-Features) features).

## Feedback

Let me know what you think of `FeatureEng.jl`!

I'd love to hear any suggestions for new features to add, helpful features you use in your ML process, or any feedback from using the library.

Feel free to reach out to me on [twitter](https://twitter.com/austin_poor) or on [GitHub](https://github.com/a-poor/FeatureEng.jl) -- submit an issue or a PR!

